Skip to main content
Version: 1.5.5

BIP340 - Derive a public key from a key share - With option to use Tweak

POST 

/bip340/derive-tweak-pubkey

authorization

This API endpoint requires an API Key with at least one of the following Roles: CryptoUser | KeysManager

Returns the derived tweak public key for a key_id for a given BIP-32 non-hardened derivation path. The tweak addition argument allows for modifying the public key in a deterministic way. For more details on tweak addition, see Tweaking Keys.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    derivation_pathstringrequired
    tweakstring | nullnullable

Responses

Schema

    pubkeystringrequired
    xpubstring | nullnullable

    Optional xpub in base58 format. if a tweak was provided in the request, this field will be None. if no tweak was provided, this field will contain the xpub of the derived key.